Bug 2091811 (CVE-2022-32545) - CVE-2022-32545 ImageMagick: outside the range of representable values of type 'unsigned char' at coders/psd.c
Summary: CVE-2022-32545 ImageMagick: outside the range of representable values of type...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2022-32545
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2096515 2096516
Blocks: 2076331 2097179
TreeView+ depends on / blocked
 
Reported: 2022-05-31 05:59 UTC by TEJ RATHI
Modified: 2022-06-16 13:54 UTC (History)
11 users (show)

Fixed In Version: ImageMagick 6.9.12-43, ImageMagick 7.1.0-28
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in ImageMagick. When crafted or untrusted input is processed, it causes issues outside the range of values of type 'unsigned char' at coders/psd.c. This issue leads to a negative impact on application availability or other problems related to undefined behavior.
Clone Of:
Environment:
Last Closed: 2022-06-14 09:20:17 UTC


Attachments (Terms of Use)

Description TEJ RATHI 2022-05-31 05:59:17 UTC
In ImageMagick version < 7.1.0-28, there is an outside the range of representable values of type 'unsigned char' at coders/psd.c.

References:
https://github.com/ImageMagick/ImageMagick/issues/4962
https://github.com/ImageMagick/ImageMagick/pull/4963

Comment 1 TEJ RATHI 2022-06-14 05:30:20 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-all [bug 2096516]
Affects: fedora-all [bug 2096515]

Comment 2 Product Security DevOps Team 2022-06-14 09:20:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-32545


Note You need to log in before you can comment on or make changes to this bug.